#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
#-----------------------------------------------------------------------------
Name		:	volume_key
Version		:	0.3.12
Release		:	14.8.0.0%{?dist}
Summary		:	An utility for manipulating storage encryption keys and passphrases
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://github.com/felixonmars/volume_key

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	cryptsetup-devel
BuildRequires	:	json-c-devel
BuildRequires	:	glib-devel
BuildRequires	:	gpgme
BuildRequires	:	nss
#-----------------------------------------------------------------------------
%description
This package provides a command-line tool for manipulating storage
volume encryption keys and storing them separately from volumes.

The main goal of the software is to allow restoring access to an
encrypted hard drive if the primary user forgets the passphrase.  The
encryption key back up can also be useful for extracting data after a
hardware or software failure that corrupts the header of the encrypted
volume, or to access the company data after an employee leaves
abruptly.

#-----------------------------------------------------------------------------
%prep
%setup -q -n %{name}-%{name}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -fiv
./configure						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--localstatedir=%{_var}				\
	--disable-static				\
	--without-python				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
  
#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{name}
%{_includedir}/%{name}/lib%{name}.h
%{_libdir}/lib%{name}.so*
%{python3_sitelib}/*.so
%{python3_sitelib}/__pycache__/%{name}.*.pyc
%{python3_sitelib}/%{name}.py
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_mandir}/man8/*.8.gz

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
